<!DOCTYPE html>
<html ng-app="app">
<head>
<!-- <link rel="icon" type="image/png" href="./resources/logo.png"/> -->
<meta charset="ISO-8859-1">
<title>Recipes</title>
	<link rel="stylesheet" type="text/css" media="all" href="css/bootstrap.min.css"/>
	<link rel="stylesheet" type="text/css" media="all" href="css/xeditable.min.css"/>
	
	<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
	integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
	crossorigin="anonymous"></script>

	<script type="text/javascript" src="js/angular.min.js"></script>
	<!-- <script type="text/javascript" src="js/angular-resource.min.js"></script> -->
	
	<script src="js/app.js"></script>
	<style>
		.panel-body-of {max-height:350px;overflow-y: auto;}
	</style>
</head>
<body>
	<div ng-controller="RecipeController">
			<!-- <table>
				<tr>
					<td width="100">ID:</td>
					<td><input type="text" id="id" ng-model="recipe.id" /></td>
				</tr>
				<tr>
					<td width="100">Name:</td>
					<td><input type="text" id="name" ng-model="recipe.title" /></td>
				</tr>
				<tr>
					<td width="100">Description:</td>
					<td><input type="text" id="email" ng-model="recipe.description" /></td>
				</tr>
			</table>
			<br /> <br /> 
			<a ng-click="getRecipe(recipe.id)">Get Recipe</a> 
			<a ng-click="updateRecipe(recipe.id,recipe.title,recipe.description)">Update Recipe</a> 
			<a ng-click="addRecipe(recipe.title,recipe.description)">Add Recipe</a> 
			<a ng-click="deleteRecipe(recipe.id)">Delete Recipe</a>

		<br /> <br />
		<p style="color: green">{{message}}</p>
		<p style="color: red">{{errorMessage}}</p>

		<br />
		<br /> 
		<a ng-click="getAllRecipes()">Get all Recipes</a><br /> 
		<br /> <br />
		<div ng-repeat="recipe in recipes">
			{{recipe.title}} {{recipe.description}}
		</div> -->
		
		<!-- Parent Div -->
		<div class="container-fluid" style="margin-top: 20px">
		
			<!-- create Header for Pages -->
			<div id="showHeaderImage">
				<div class="row">
				<div class="col-lg-12">
					<img class="fr_objfitimg lazy-loaded" src="images/header.jpg" width="1500" height="300" />
				</div>
			</div>
			
			
			<!-- Show Recipe Page -->
			<div id="showRecipe" ng-show="showRecipes" ng-init="init()">
				<div class="row">
				<div class="col-lg-9">
					<div class="panel panel-primary">
	
						<div class="panel-heading">
							<h1 class="panel-title">Recipes!!</h1>
						</div>
					</div>
				</div>
				<div class="col-lg-3">
					<form class="form-inline my-2 my-lg-0" ng-click="recipeSearch()" method="get">
						<input type="text" class="form-control mr-sm-2" name="searchText" id ="searchText"  ng-model="searchText" placeholder="Search">
						<button class="btn btn-secondary my-2 my-sm-0" type="submit">Search</button>
					</form>
				</div>
			</div>
			<div class="row">
				<div class="col-lg-12 col-md-offset-3">
					<div class="panel panel-primary">
						<div class="panel-body">
							<div class="col-lg-12">
								<div class="table-responsive">
									<table class="table table-hover ">
										<thead class="thead-inverse">
											<tr>
												<th>Name</th>
												<th>Description</th>
												<th>View</th>
												<th>Update</th>
												<th>Delete</th>
											</tr>
										</thead>
										<tbody ng-repeat="recipe in recipes">
											<input type="hidden" id="id" ng-model="recipe.id" />
											<tr>
												<td><a class="nav-link" href="#" ng-click="getRecipe(recipe.id)">{{recipe.title}}</a></td>
												<td>{{recipe.description}}</td>
												<td><a class="nav-link" href="#" ng-click="getRecipe(recipe.id)">View</a></td>
												<td><a class="nav-link" href="#" ng-click="updateRecipeShow()">Update</a></td>
												<td><a class="nav-link" href="#" ng-click="deleteRecipe(recipe.id)">Delete</a></td>
											</tr>
										</tbody>
									</table>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
	
			<div class="row">
				<button type="button" class="btn btn-danger" ng-click="createRecipeShow()">New Recipe</button>
			</div>
			
			</div>
			
			
			<!-- Show Single Recipe Page -->
			<div id="showSingleRecipe" ng-show="showSingleRecipe">
			
			</div>
			
			<!-- Edit Recipe Page -->
			<div id="editRecipe" ng-show="showEditRecipe">
			
			</div>
			
			
			<!-- Create Recipe Page -->
			<div id="createRecipe" ng-show="showCreateRecipe || showSingleRecipe">
				<div class="row">
					<div class="col-lg-4">
						<div class="panel-heading">
	                    	<h1 class="panel-title" id="panelHeading" name="panelHeading">{{recipe.pageHeading}}</h1>
	                    </div>
	                </div>
                </div>
				<div class="row">
					<!-- <div class="col-lg-12"> -->
						<!-- Image Upload -->
						<div class="col-lg-4">
							<div class="pannel-group">
				                <div class="panel panel-primary">
				                
				                
			                	<div ng-if="showCreateRecipe">
				                
				                    <div class="panel-heading">
				                        <label class="panel-title">Upload a new recipe image</label>
				                    </div>
				                    <div class="panel-body">
				                        <div class="row" >
				                        	<div class="col-md-4 form-group">
				                                <form action="http:\\localhost" method="post" enctype="multipart/form-data" ng-submit="saveImage($element.action)">
				                                	<div class="row" >
				                                		<div class="col-md-8 form-group">
					                                    	<label class="control-label">Select File</label>
					                                    </div>
					                                </div>
					                                <div class="row" >
					                                    <div class="col-md-5 form-group">
					                                    	<input id="imagefile" name="imagefile" ng-model="recipe.image" type="file" class="file">
					                                    </div>
				                                    </div>
				                                    <div class="row" >
				                                    	<div class="col-md-8 form-group">
				                                    		<button type="submit" class="btn btn-primary">Submit</button>
				                                    	</div>
				                                    </div>
				                                </form>
			                                </div>
				                        </div>
				                    </div>
				                    
				                </div>
				                <div ng-if="showSingleRecipe && !isRecipeUpdatable">
				                	<div class="row">
				                		<button type="button" class="btn btn-danger" ng-click="saveImage($element.action)">Change Image</button>
				                	</div>
				                	<div class="row">
				                		<img class="fr_objfitimg lazy-loaded" src="images/gajjarhalwa.jpg" ng-model="recipe.image" width="400" height="500" />
				                	</div>
								</div>    
				                </div>
				            </div>
						</div>
						
						<div class="col-lg-4">
							<div class="row">
								<div class="col-md-4 form-group">
		                            <label>Recipe Title:</label>
		                        </div>
		                        <div class="col-md-5 form-group">
		                            <input type="text" class="form-control" ng-model="recipe.title" ng-disabled="!isRecipeUpdatable"/>
	                            </div>
	                        </div>
	                        <div class="row">
								<div class="col-md-4 form-group">
		                           <label>Recipe Description:</label>
	                           </div>
	                           <div class="col-md-5 form-group">
		                           <input type="text" class="form-control" ng-model="recipe.description" ng-disabled="!isRecipeUpdatable"/>
	                           </div>
		                    </div>
							
							<div class="row">
								<div class="col-md-4 form-group">
	                           		<label>Category:</label>
	                           	</div>
	                           	
	                           	<div ng-if="showCreateRecipe || isRecipeUpdatable" >
				                    <div class="col-md-5 form-group radio">
			                               <label>Veg</label>
			                               <input type="checkbox" ng-checked="recipe.veg"/>
	                           		</div>
                           		</div>
                           		<div ng-if="showSingleRecipe && !isRecipeUpdatable">
				                	<div class="col-md-4">
				                		<div ng-if="!recipe.veg">
											<img src="images/nonVegLogo.png" width="40" height="40"/>
										</div>
										<div ng-if="recipe.veg">
											<img src="images/vegLogo.png" width="40" height="40"/>
										</div>
									</div>
								</div>
                      		</div>
	                     	<div class="row">  
		                       <div class="col-md-4 form-group">
	                           		<label>Servings:</label>
                           		</div>
	                           	<div class="col-md-5 form-group">
	                           		<input type="text" class="form-control" ng-model="recipe.noOfPeopleServing" ng-disabled="!isRecipeUpdatable"/>
	                           	</div>
							</div>
							
							<div class="row">
								<div class="col-md-4 form-group">
			                        	<label>Date Of Creation:</label>
	                        	</div>
	                          	<div class="col-md-5 form-group">
			                            <input type="text" class="form-control" ng-model="recipe.dateOfCreation"/>
			                            <!-- <input type="datetime-local" id="dateOfCreation" name="recipe.dateOfCreation" ng-model="dateOfCreation" placeholder="yyyy-MM-ddTHH:mm:ss" ng-disabled="!isRecipeUpdatable"/> -->
		                         </div>
							</div>
						</div>
						
						<div class="col-lg-4">
							<div class="row">
	                        	<label>Ingredients:</label>
			                
	                           <!--  <a class="btn btn-default" href="#" th:href="@{'/recipe/' + ${recipe.id} + '/ingredients'}" role="button"><h3>View / Update</h3></a> -->
			                </div>
			                <div class="row">
							    <div class="col-md-12">
							    
							    
							    
							    
							    <!-- <form ng-click="recipeSearch()" method="get"> -->
								    <div class="panel-body-of">
								    <!-- <form editable-form name="tableform" onaftersave="saveTable()" oncancel="cancel()"> -->
								    	<table class="table table-bordered table-hover table-condensed panel-body-of" >
										      <tr style="font-weight: bold">
										        <td style="width:40%">Desc</td>
										        <td style="width:30%">Portion</td>
								    		  </tr>
										      <tr ng-repeat="ingredient in recipe.ingredients | filter:filterIngredient">
										        <td>
										          <!-- editable ingredient.name -->
										          <span editable-text="ingredient.name" e-form="tableform">
										          	<div ng-if="showSingleRecipe && !isRecipeUpdatable">
										          		{{ ingredient.desc }}
										          	</div>
										          	
										          	<div ng-if="showCreateRecipe || isRecipeUpdatable" >
										          		<input type="text" class="form-control" ng-model="ingredient.desc" ng-disabled="!isRecipeUpdatable"/>	
										          	</div>
										            <!-- {{ ingredient.desc }} -->
										          </span>
										        </td>
										        <td>
										        	<div ng-if="showSingleRecipe && !isRecipeUpdatable">
										          		{{ingredient.portion}}
										          	</div>
										          	
										          	<div ng-if="showCreateRecipe || isRecipeUpdatable" >
										          		<input type="text" class="form-control" ng-model="ingredient.portion" ng-disabled="!isRecipeUpdatable"/>	
										          	</div>
										        
										          <!--  {{ingredient.portion}} -->
										        </td>
								    		<!-- <td><button type="button" ng-show="tableform.$visible" ng-click="deleteIngredient(ingredient.id)" class="btn btn-danger pull-right">Del</button></td> -->
									      </tr>
									    </table>
									    <!-- buttons -->
								    <!-- <div class="btn-edit">
								      <button type="button" class="btn btn-default" ng-show="!tableform.$visible" ng-click="tableform.$show()">
								        Edit
								      </button>
								    </div>
								    <div class="btn-form" ng-show="tableform.$visible">
								      <button type="button" ng-disabled="tableform.$waiting" ng-click="addIngredient()" class="btn btn-default pull-right">Add Row</button>
								      <button type="submit" ng-disabled="tableform.$waiting" class="btn btn-primary">Save</button>
								      <button type="button" ng-disabled="tableform.$waiting" ng-click="tableform.$cancel()" class="btn btn-default">Cancel</button>
								    </div> 
								    
								  </form> -->
								   </div> 
							   <!-- </form>  -->
							    
							    
							    
							    
							    
							    
							        <!-- <ul class="list-group">
							            <li class="list-group-item d-flex justify-content-between align-items-center" ng-disabled="!isRecipeUpdatable" ng-repeat="ingredient in recipe.ingredients">{{ingredient.desc}} - {{ingredient.portion}}</li>
							        </ul> -->
								</div>
							</div>
						
							<div class="row">
								<label>Directions:</label>
							</div>
							<div class="row">
	                             <div class="col-md-12 form-group">
	                                 <textarea class="form-control" rows="3" ng-model="recipe.directions" ng-disabled="!isRecipeUpdatable"></textarea>
                                 </div>
	                         </div>
						</div>
				   <!--  </div> -->
				   
				   <div class="row">
				   	<div ng-if="showSingleRecipe && !showUpdateSubmit">
					   	<div class="col-md-8 form-group">
			        		<button type="button" class="btn btn-danger" ng-click="updateRecipeShow()">Update Recipe</button>
			        	</div>
		        	</div>
		        	<div ng-if="showSingleRecipe && showUpdateSubmit">
					   	<div class="col-md-8 form-group">
			        		<button type="button" class="btn btn-danger" ng-click="updateRecipe(recipe.id, recipe.title)">Submit Update</button>
			        	</div>
		        	</div>
		        	<div ng-if="showCreateRecipe">
					   	<div class="col-md-8 form-group">
			        		<button type="button" class="btn btn-danger" ng-click="addRecipe(recipe.title,recipe.description)">Create Recipe</button>
			        	</div>
		        	</div>
		        	<div ng-if="!showRecipes">
			        	<div class="col-md-4 form-group">
			        		<button type="button" class="btn btn-danger" ng-click="init()">Back</button>
			        	</div>
		        	</div>
			    </div>			    
		
		</div>
		</div>
		<!-- Parent Div -->
	</div>
</body>
</html>